OAuth2ConnectionConfigurator (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.web.oauth2, class: OAuth2ConnectionConfigurator

Package org.apache.hadoop.hdfs.web.oauth2

# Class OAuth2ConnectionConfigurator

java.lang.Object
org.apache.hadoop.hdfs.web.oauth2.OAuth2ConnectionConfigurator

All Implemented Interfaces:
  `org.apache.hadoop.security.authentication.client.ConnectionConfigurator`

@Public @Evolving public class OAuth2ConnectionConfigurator extends Object implements org.apache.hadoop.security.authentication.client.ConnectionConfigurator
Configure a connection to use OAuth2 authentication.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `HEADER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OAuth2ConnectionConfigurator(org.apache.hadoop.conf.Configuration conf)`
  `OAuth2ConnectionConfigurator(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.security.authentication.client.ConnectionConfigurator sslConfigurator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpURLConnection`
  `configure(HttpURLConnection conn)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HEADER

    public static final String HEADER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### OAuth2ConnectionConfigurator

    public OAuth2ConnectionConfigurator(org.apache.hadoop.conf.Configuration conf)

  - ### OAuth2ConnectionConfigurator

    public OAuth2ConnectionConfigurator(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.security.authentication.client.ConnectionConfigurator sslConfigurator)

- ## Method Details

  - ### configure

    public HttpURLConnection configure(HttpURLConnection conn) throws IOException
    Specified by:
      `configure` in interface `org.apache.hadoop.security.authentication.client.ConnectionConfigurator`
    Throws:
      `IOException`